package space.rocketnine.gophast;

import android.net.Uri;
import android.os.Environment;
import android.webkit.MimeTypeMap;

import java.io.File;

public class Download {
    long ID;
    String URL;
    String Name;
    int Status;
    long Size;
    long Downloaded;

    Uri getPath() {
        return Uri.fromFile(new File(Environment.getExternalStoragePublicDirectory(Environment.DIRECTORY_DOWNLOADS).getAbsolutePath(), Name));
    }

    String getMIME() {
        String extension = MimeTypeMap.getFileExtensionFromUrl(Name);
        if (extension != null) {
            return MimeTypeMap.getSingleton().getMimeTypeFromExtension(extension);
        }

        return null;
    }
}